﻿/* =========================
   VARIABILI
========================= */

:root {
    --menu-width: 1140px;
    --decor-width: 1000px;
    --page-width: 1000px;
    --footer-width: 1000px;
    --text-base: 17px;
    --page-gap-top: 12px;
    --page-gap-bottom: 0px;
}

/* =========================
   PAGINA GENERALE
========================= */

html,
body {
    height: 100%;
    margin: 0;
}

body {
    padding: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background: #cfc9bc;
    color: #222;
    font-family: Arial, Helvetica, sans-serif;
    font-size: var(--text-base);
}

main {
    flex: 1 0 auto;
    display: block;
}

a {
    color: #17384b;
    text-decoration: none;
}

    a:hover {
        text-decoration: underline;
    }

img {
    max-width: 100%;
    height: auto;
    border: 0;
    display: block;
}
/* struttura pagina */

#menu-wrap,
#header,
#footer {
    flex-shrink: 0;
}